Bug 108674 - The gnome panel can no longer get mouse focus.
The gnome panel can no longer get mouse focus.
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: 109435 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-10-30 21:28 EST by Alistair Riddoch
Modified: 2007-11-30 17:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-25 16:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alistair Riddoch 2003-10-30 21:28:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031027

Description of problem:
After upgrading to metacity-2.6.3-1 from rawhide applets in the panel
no longer get keyboard focus in the anticipated way when using Focus Follows
Mouse. Everything works fine if using Click To Focus.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Log in using a gnome session.
2.Add a panel applet which requires keyboard input.
3.Set the window mode to "Select windows when the mouse moves over them"
4.Move the mouse over the panel applet, and attempt to enter text.

Actual Results:  The mouse cursor changes to indicate it is over a text field,
but the text cursor does not appear, even when the test field is clicked.
The window that previously had focus still has focus, and key presses do  not
appear in the applet, but are instead sent to the window that previous had focus.

Expected Results:  Focus should switch to the panel applet, a text cursor should
appear, and keypresses should appear in the text box.

Additional info: Two applets that are affected are Dictionary Lookup and Command
Comment 1 Thomas J. Baker 2003-10-31 09:58:34 EST
I can verify this on two additional systems.
Comment 2 Alistair Riddoch 2004-02-13 11:28:45 EST
Looking at the changelog between 2.6.2 and 2.6.3, it looks like this
problem may have been introduced by the final commit made on
2003-10-25 by Havoc Pennington:

2003-10-25  Havoc Pennington  <hp@redhat.com>

	* src/window.c (meta_window_notify_focus): if a window is focused
	which is not either a dock or a transient in the same group as 
	dock, shuffle all dock/desktop windows to the end of the MRU list
	so they won't annoyingly get focus all the time. #123816

Comment 3 Bart Martens 2004-03-02 14:38:30 EST
*** Bug 109435 has been marked as a duplicate of this bug. ***
Comment 4 Elijah Newren 2004-05-21 15:12:28 EDT
This is the same as the infamous bug 115072 on bugzilla.gnome.org. 
This has since been fixed, so this bug should probably be closed as
fixed upstream.
Comment 5 Alistair Riddoch 2004-05-21 15:21:05 EDT
The bug appears to be fixed in Fedora Core 2 which ships with metacity
2.8.1. It seems a shame that even though the bug was fixed, an update
was not issued for Fedora Core 1.
Comment 6 Elijah Newren 2004-05-21 15:41:50 EDT
I agree, but since there isn't one:

If anyone needs an update (unofficial, obviously) that works for
Fedora 1, you can download the one I created at
Comment 7 Alistair Riddoch 2004-05-21 16:19:58 EDT
Thanks Elijah

In the spirit of community contribution that is supposed to be
inherant in Fedora, it seems to make sense for the community to
provide fixes for problems like this, but there is no obvious
mechanism for letting the community at large know about updates that
RedHat are unwilling or unable to fix internally.

Note You need to log in before you can comment on or make changes to this bug.